| EVShield v1.3 EVShield Library Reference by mindsensors.com

Public Member Functions | List of all members
EVs_EV3Infrared Class Reference

This class interfaces with LEGO EV3 IR sensor attached to EVShield. More...

`#include <EVs_EV3Infrared.h>`

Inheritance diagram for EVs_EV3Infrared:

## Public Member Functions
bool | init (EVShield *shield, SH_BankPort bp)
uint16_t | readProximity ()
int8_t | readChannelHeading (uint8_t channel)
uint8_t | readChannelProximity (uint8_t channel)
uint8_t | readChannelButton (uint8_t channel)
Public Member Functions inherited from EVShieldUART
| EVShieldUART ()
| EVShieldUART (EVShield *shield, SH_BankPort bp)
uint8_t | getMode ()
bool | setType (uint8_t type)
bool | writeLocation (uint8_t loc, uint8_t data)
int16_t | readLocationInt (uint8_t loc)
uint8_t | readLocationByte (uint8_t loc)
bool | init (EVShield *shield, SH_BankPort bp)
uint8_t | setMode (char newMode)
uint16_t | readValue ()
bool | readAndPrint (uint8_t loc, uint8_t len)

## Additional Inherited Members
Public Attributes inherited from EVShieldUART
EVShield * | mp_shield
SH_BankPort | m_bp
int | m_offset

## Detailed Description

This class interfaces with LEGO EV3 IR sensor attached to EVShield.

## Member Function Documentation

## § init()

bool EVs_EV3Infrared::init | ( | EVShield * | shield,
|  | SH_BankPort | bp
| ) |  |

check if the touch sensor is pressed

## § readChannelButton()

uint8_t EVs_EV3Infrared::readChannelButton | ( | uint8_t | channel | ) |

in mode MODE_Infrared_Remote

## § readChannelHeading()

int8_t EVs_EV3Infrared::readChannelHeading | ( | uint8_t | channel | ) |

in mode: MODE_Infrared_Beacon and MODE_InfraRed_Proximity

## § readChannelProximity()

uint8_t EVs_EV3Infrared::readChannelProximity | ( | uint8_t | channel | ) |

in mode: MODE_InfraRed_Proximity

## § readProximity()

uint16_t EVs_EV3Infrared::readProximity | ( |  | ) |

for mode MODE_Infrared_Proximity

The documentation for this class was generated from the following files:

- C:/Program Files (x86)/Arduino-1.6.12/libraries/EVShield/EVs_EV3Infrared.h
- C:/Program Files (x86)/Arduino-1.6.12/libraries/EVShield/EVs_EV3Infrared.cpp